import Vue from 'vue';
import axios from 'axios'
import { i18n } from './app/index';

import App from './App.vue';
import router from '@/route/router';
import store from '@/store/store';
import './registerServiceWorker';


//百度地图
import BaiduMap from 'vue-baidu-map'
Vue.use(BaiduMap, {
  ak: 'c4e73f2c6972766d6a54dffd2f501cac'//你申请的key
})

import AMap from 'vue-amap'
Vue.use(AMap)
AMap.initAMapApiLoader({
    key: 'f4ba1c4d94654309b97a557d41857b48',
  plugin: ['AMap.moveAnimation', 'AMap.PlaceSearch', 'AMap.Scale',
    'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', 'AMap.PolyEditor', 'AMap.CircleEditor',
    'AMap.DistrictSearch', 'AMap.Geocoder', 'AMap.Autocomplete'],
  // 默认高德 sdk 版本为 1.4.4
  v: '1.4.4'
})

// 初始化加载器
import { preloaderFinished } from './util/preloader';
preloaderFinished();

import Startup from '@/core/Startup';

Vue.config.productionTip = false;

import './directives/index';

// 创建vue实例
const app = new Vue({
  router,
  store,
  i18n,
  render: (h) => h(App),
});
// 程序启动过程
Startup.bootstrap().then(
  (res: any) => {
    // 将vue实例挂在 #app上
    app.$mount('#app');

    // app启动
    (window as any).appBootstrap();

    // 设置app名称
    store.commit('app/appName', res.data.app);

    // 从storage中初始化token，以便登录后刷新token丢失
    const initToken = app.$ss.get('token');
    if (initToken != null) {
      store.commit('user/loginSuccess', { token: initToken });
      // 获取acl权限
      store.dispatch('acl/login', { username: initToken });
    }
  },
);

export default app
